This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 129893 - Readonly root package needs an on/off configuration switch
Readonly root package needs an on/off configuration switch
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks: FC3Target 129888
  Show dependency treegraph
 
Reported: 2004-08-13 16:18 EDT by Dave Malcolm
Modified: 2014-03-16 22:47 EDT (History)
2 users (show)

See Also:
Fixed In Version: 7.62-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-19 00:41:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
rc.sysinit patch (1.45 KB, patch)
2004-08-18 10:23 EDT, Mark McLoughlin
no flags Details | Diff

  None (edit)
Description Dave Malcolm 2004-08-13 16:18:23 EDT
Description of problem:
Our readonly-root package makes the root filesystem readonly; this is
done based on the presence/absence of the package.  

However, there are various utilities for dealing with such systems
that belong in this package, so we need to create an explicit
configuration option to turn on the readonly-ness of the root
filesystem separately from presence/absence of the package.
Comment 1 Mark McLoughlin 2004-08-18 10:22:08 EDT
Latest readonly-root has a /etc/sysconfig/readonly file which can be
used to set READONLY=no/yes

Just need this rc.sysinit patch
Comment 2 Mark McLoughlin 2004-08-18 10:23:10 EDT
Created attachment 102839 [details]
rc.sysinit patch
Comment 3 Bill Nottingham 2004-08-19 00:41:36 EDT
Added, will be in 7.62-1.

Note You need to log in before you can comment on or make changes to this bug.